import prisma from '#utilities/prisma' // Import the global Prisma instance
import { CharacterType } from '@prisma/client'

class CharacterTypeRepository {
  async getAll(): Promise<CharacterType[]> {
    return prisma.characterType.findMany({
      include: {
        sprite: true
      }
    })
  }
  async getById(id: number): Promise<CharacterType | null> {
    return prisma.characterType.findUnique({
      where: { id },
      include: {
        sprite: true
      }
    })
  }
}

export default new CharacterTypeRepository()
